## RetroControllerIterator RetroControllerIterator — An object iterating through the controllers plugged into a RetroCore |

## Functions

gboolean | retro_controller_iterator_next ()

## Types and Values

#define | RETRO_TYPE_CONTROLLER_ITERATOR
| RetroControllerIterator

## Object Hierarchy

        GObject
        ╰── RetroControllerIterator

## Includes

    #include <retro-gtk/retro-gtk.h>

## Description

## Functions

### retro_controller_iterator_next ()

    gboolean
    retro_controller_iterator_next (RetroControllerIterator *self,
                                    guint *port,
                                    RetroController **controller);

Fetch the next RetroController and the port number it is plugged into.

#### Parameters

self | a RetroControllerIterator |
port | return location for the port. | [out][optional]
controller | return location for the controller. | [out][optional][transfer none]

#### Returns

`FALSE` if it reached the end, `TRUE` otherwise

## Types and Values

### RETRO_TYPE_CONTROLLER_ITERATOR

    #define RETRO_TYPE_CONTROLLER_ITERATOR (retro_controller_iterator_get_type())

### RetroControllerIterator

    typedef struct _RetroControllerIterator RetroControllerIterator;

## See Also

RetroController, RetroCore